import { OnInit } from "@angular/core";
import { DpwFeedbackWidgetService } from "./dpw-feedback-widget.service";
import * as i0 from "@angular/core";
export declare class DpwFeedbackWidgetComponent implements OnInit {
    private feedbackWidgetService;
    widgetName: string;
    productName: string;
    header: string;
    subHeader: string;
    ratingStyle: string;
    submitBtnText: string;
    showClose: boolean;
    thankyouHeader: string;
    thankyouSubHeader: string;
    thankyouBtnText: string;
    feedbackSubmitted: boolean;
    enableProgressive: boolean;
    progressiveChipInfo: {
        chips: any[];
        thankyouHeader: string;
        thankyouSubHeader: string;
        thankyouBtnText: string;
    };
    constructor(feedbackWidgetService: DpwFeedbackWidgetService);
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DpwFeedbackWidgetComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DpwFeedbackWidgetComponent, "lib-dpw-feedback-widget", never, { "widgetName": "widgetName"; "productName": "productName"; "header": "header"; "subHeader": "subHeader"; "ratingStyle": "ratingStyle"; "submitBtnText": "submitBtnText"; "showClose": "showClose"; "thankyouHeader": "thankyouHeader"; "thankyouSubHeader": "thankyouSubHeader"; "thankyouBtnText": "thankyouBtnText"; "enableProgressive": "enableProgressive"; "progressiveChipInfo": "progressiveChipInfo"; }, {}, never, never>;
}
